import fs from 'fs'

export interface HanziWriterData {
  strokes: string[]
  medians: number[][][]
}

export async function loadHanziWriterData (
  char: string
): Promise<HanziWriterData | undefined> {
  const hanziWriterJsonPath = `node_modules/hanzi-writer-data/${char}.json`
  if (!fs.existsSync(hanziWriterJsonPath)) {
    return undefined
  }
  return JSON.parse(
    await fs.promises.readFile(hanziWriterJsonPath, 'utf-8')
  ) as HanziWriterData
}
